View Issue Details

IDProjectCategoryView StatusLast Update
0000037tcsh[All Projects] Generalpublic2018-12-16 18:46
ReporteranonymousAssigned Tochristos 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionHEAD 
Summary0000037: Pasting a unicode long-hyphen at the prompt crashes TCSH 6.19.01 + with LC_ALL=C
DescriptionIf I do not set $LC_ALL, I can paste a long-hyphen character '–' into the prompt and it displays properly. If I instead set:

setenv LC_ALL C

Then try to paste the code, I get a segfault at ed.inputl.c GetNextCommand() at:
cmd = CurrentKeyMap[*ch];

I tracked the issue down to PR/437 commit 4b12ecbf108. Reverting this patch allows the paste to go through (it now displays escape characters instead of the hyphen, but doesn't crash).

Building on linux x86-64

tcsh --version: (x86_64-unknown-linux) options wide,nls,dl,al,kan,sm,rh,color,filec
Steps To Reproduce./configure
make
./tcsh -f
setenv LC_ALL C
<paste –>
TagsNo tags attached.
Attach Tags

Activities

christos

2018-12-16 18:46

manager   ~0000135

Fixed, thanks!

Issue History

Date Modified Username Field Change
2018-09-05 21:02 anonymous New Issue
2018-10-13 21:34 anonymous Note Added: 0000097
2018-12-16 18:43 christos Assigned To => christos
2018-12-16 18:43 christos Status new => assigned
2018-12-16 18:46 christos Status assigned => resolved
2018-12-16 18:46 christos Resolution open => fixed
2018-12-16 18:46 christos Fixed in Version => HEAD
2018-12-16 18:46 christos Note Added: 0000135
2018-12-16 18:46 christos Assigned To christos =>
2018-12-16 18:46 christos Assigned To => christos